const std = @import("std");

pub fn main() !void {
    var allocator = std.heap.ArenaAllocator{};
    defer allocator.deinit();

    const alloc = allocator.allocator();

    const hello_world = try std.fmt.allocPrint(alloc, "Hello, World!\n", .{});
    defer allocator.free(hello_world);

    std.debug.print("All your {s} are belong to us.\n", .{"codebase"});
}
